osgrid.org
https://forums.osgrid.org/

Mandatory Sim Upgrade [2010-12-23 post]
https://forums.osgrid.org/viewtopic.php?f=24&t=3014
Page 1 of 3

Author:  Dave Coyle [ Thu Dec 23, 2010 1:22 pm ]
Post subject:  Mandatory Sim Upgrade [2010-12-23 post]

This is the comment thread for http://news.osgrid.org/2010/12/23/manda ... m-upgrade/

-coyled

Author:  Us Vemo [ Sun Dec 26, 2010 7:46 am ]
Post subject:  Re: Mandatory Sim Upgrade [2010-12-23 post]

How do I do to preserve my data during this upgrade?
Us

Author:  Bo Iwu [ Sun Dec 26, 2010 8:22 am ]
Post subject:  Re: Mandatory Sim Upgrade [2010-12-23 post]

Greetings,
i've already upgraded my OSg sims some days ago, and there was no special problems.

Bo

Author:  Us Vemo [ Mon Dec 27, 2010 4:23 am ]
Post subject:  Re: Mandatory Sim Upgrade [2010-12-23 post]

That sounds good! Can you please point me to some information on how to make an upgrade instead of a new installation?
Us

Author:  Sylvia Sonoda [ Mon Dec 27, 2010 4:59 am ]
Post subject:  Re: Mandatory Sim Upgrade [2010-12-23 post]

Please take in mind that it is impossible to TP (or walk) from upgraded sims to old version sims. Once you updated there is no going to old sims anymore.

Also I like to express my dissatisfaction about it being a manditory update. Uptill now I could avoid the very irritating "avatar jumping around" bug by keeping my sims on the november 11 version.

I want version 0.6.9 back. That were the good old stable and "less invasive bugs" days in OSgrid :) ...... please can we?

Author:  Bo Iwu [ Mon Dec 27, 2010 5:12 am ]
Post subject:  Re: Mandatory Sim Upgrade [2010-12-23 post]

While we are upgrading only within one major version (0.7.1) there is no need to rebuild databases ;)

1) save oar
2) make you self ready config folders. Here is an example of config files needed for two instances:
{L_CODE}:
os/config/:
1  2

os/config/1:
config-include  OpenSim.ini  Regions

os/config/1/config-include:
GridCommon.ini

os/config/1/Regions:
Regions.ini

os/config/2:
config-include  OpenSim.ini  Regions

os/config/2/config-include:
GridCommon.ini

os/config/2/Regions:
Regions.ini


3) shutdown the old instances of OSs
4) delete old folders with simulator instances (or change symlinks to them of you are on Linux like me)
5) unpack new version on their place
6) copy config folders into bin folder of every instance (content of "1" goes into bin of first instance etc..)
7) start simulators back and check logs

This makes upgrades within one major version (eg. 0.7.1.dev.ed26376 to 0.7.1.dev.25ecd62) very easy work which can be done within 5 minutes. Ofcourse upgrade from 0.6.9 to 0.7.1 can not be done like this and you need also keep your config folders updated.

Bo

Author:  Ai Austin [ Tue Dec 28, 2010 6:29 am ]
Post subject:  Re: Mandatory Sim Upgrade [2010-12-23 post]

Hi coyled... I just did a test HG jump from Openvue to the test region on the new grid setup at hg.danger.osgrid.org:80:Westshore and although I see the region image (the default small circular island, and there is a small black square objet on it) I get the message:

Destination refused: Destination did not reply

Is the test grid expected to allow this HG teleport yet?

Openvue is currently on 0.7.1-dev master opensim-tree-25d34d9... from 2010-12-20 r/14699

-----
I retested at 10:05 UT on 29-Dec-2010 and I still get the same mesage: Destination refused: Destination did not reply

Author:  Ai Austin [ Tue Dec 28, 2010 6:32 am ]
Post subject:  Re: Mandatory Sim Upgrade [2010-12-23 post]

Sylvia Sonoda {L_WROTE}:
I want version 0.6.9 back. That were the good old stable and "less invasive bugs" days in OSgrid :) ...... please can we?


The 0.7.0.1 and 0.7.0.2 releases were MUCH more stable than 0.6.9 in our experience. The problem has been that we are now trying to use 0.7.1 dev versions for OSGrid to get the important new functionality 0.7.1 will bring. But these dev versions are often unstable and are not yet recognised as a proper stable release remember.

Author:  Adelle Fitzgerald [ Tue Dec 28, 2010 7:38 am ]
Post subject:  Re: Mandatory Sim Upgrade [2010-12-23 post]

Sylvia Sonoda {L_WROTE}:
Uptill now I could avoid the very irritating "avatar jumping around" bug by keeping my sims on the november 11 version.


Sylvia, I updated my regions yesterday to Commit:06077f775faeb02047afb0888c4d5e530e88fdc4 r/14722 and it appears that bug has been fixed :)

Hopefully the OSgrid team can make a new release before the mandatory update to include this fix.

Author:  Arielle Popstar [ Thu Dec 30, 2010 11:51 pm ]
Post subject:  Re: Mandatory Sim Upgrade [2010-12-23 post]

Attempted to jump to hg.danger.osgrid.org:80:Westshore running on Opensim standalone hypergrid r14730 but failed with message:
23:43:48 - [REMOTE SIMULATION CONNECTOR]: exception on reply of agent delete fro
m Westshore: The remote server returned an error: (404) Not Found.

Page 1 of 3 All times are UTC - 5 hours
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/